bind-chroot RPM error results in failed cPanel update

Mise

Well-Known Member
May 15, 2011
80
5
58
sorry, my happiness was very short.

I'm receiving an WHM update error :
[2019-06-08 23:41:19 +0200] E [/usr/local/cpanel/scripts/rpmup]
The “/usr/local/cpanel/scripts/rpmup” command (process 24277) reported error number 1 when it ended.



I have executed # /usr/local/cpanel/scripts/rpmup, getting this located error:
Code:
...
---> Package pcsc-lite-libs.x86_64 0:1.5.2-16.el6 will be installed
--> Finished Dependency Resolution
Error: Package: 32:bind-chroot-9.8.2-0.62.rc1.el6_9.4.x86_64 (@updates)
 You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
cpanel-analytics-1.3.3-1.1.noarch has missing requires of cpanel-version >= ('0', '73.0.0', None)
info [rpmup] Completed yum execution “--assumeyes --config /etc/yum.conf update --disablerepo=epel”: in 28.192 second(s).
not sure about what to do with that broken package and the packet version error. I have v80.0.13 in Centos 6.9.

Can you give some help to solve this?
 
Last edited by a moderator:

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,243
463
Hello @Mise,

The bind-chroot RPM is unsupported. Here's a post with an example of how to remove the bind-chroot RPM:

Updating Kernel Version

Let me know if the information on the above thread helps.

Thank you.
 
  • Like
Reactions: Mise